%define anolis_release 1

%global pypi_name zstd

Name:           python-%{pypi_name}
Version:        1.5.4.0
Release:        %{anolis_release}%{?dist}
Summary:        Zstd Bindings for Python

License:        BSD
URL:            https://github.com/sergey-dryabzhinsky/python-zstd
Source0:        https://files.pythonhosted.org/packages/04/ae/6699c5123e322d08cbd67915e876f90469e8e734e224ceb375ebaa9073fc/zstd-1.5.4.0.tar.gz

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:	python3-cffi

%description
Simple Python bindings for the Zstd compression library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}

%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Simple Python bindings for the Zstd compression library.

%package -n     python3-%{pypi_name}-doc
Summary:        doc files for python3-%{pypi_name}
Requires:       python3-%{pypi_name} = %{version}-%{release}

%description -n python3-%{pypi_name}-doc
doc files for python3-%{pypi_name}

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel -- --legacy --pyzstd-legacy --external

%install
%pyproject_install

%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%{python3_sitearch}/%{pypi_name}-%{version}.dist-info/
%{python3_sitearch}/%{pypi_name}*.so

%files -n python3-%{pypi_name}-doc
%doc README.rst

%changelog
* Wed Mar 15 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 1.5.4.0-1
- Init upstream from version 1.5.4.0
